
typedef struct {
    unsigned char r;
    unsigned char g;
    unsigned char b;
} couleur;

void initialise(int largeur, int hauteur);
void fenetre(int x1, int y1, int x2, int y2);
void clear();
void detruit();
couleur rgb(unsigned char r, unsigned char g, unsigned char b);
void ligne(double x1, double y1, double x2, double y2, couleur c);
void cercle(double xc, double yc, double r, couleur c);
void cercle_plein(double xc, double yc, double r, couleur c);
void couronne(double cx, double cy, double r, double e, couleur c);
void remplit(double x, double y, couleur c);
void remplit_jusquau_bord(double x, double y, couleur c, couleur bord);
double delta();
couleur melange(double t, couleur c1, couleur c2);
void efface();

unsigned char *get_pixels();
